package com.connor.erpintegration.entity;

import java.sql.Date;

public class ERPResultEntity {

	private String ItemId;//导入对象
	private String TaskType;//任务类型
	private String TaskNumber;//任务号
	private String ImpDate;//导入时间
	private String UserName;//导入人
	private String ImpResult;//导入结果
	private String ErrorInfo;//错误信息
	private String Version;//错误信息
	public String getErrorInfo() {
		return ErrorInfo;
	}
	public String getVersion() {
		return Version;
	}
	public void setVersion(String version) {
		Version = version;
	}
	public void setErrorInfo(String errorInfo) {
		ErrorInfo = errorInfo;
	}
	public String getItemId() {
		return ItemId;
	}
	public void setItemId(String itemId) {
		ItemId = itemId;
	}
	public String getTaskType() {
		return TaskType;
	}
	public void setTaskType(String taskType) {
		TaskType = taskType;
	}
	public String getTaskNumber() {
		return TaskNumber;
	}
	public void setTaskNumber(String taskNumber) {
		TaskNumber = taskNumber;
	}
	public String getImpDate() {
		return ImpDate;
	}
	public void setImpDate(String impDate) {
		ImpDate = impDate;
	}
	public String getUserName() {
		return UserName;
	}
	public void setUserName(String userName) {
		UserName = userName;
	}
	public String getImpResult() {
		return ImpResult;
	}
	public void setImpResult(String impResult) {
		ImpResult = impResult;
	}
	
	@Override
	public String toString() {
		return "ERPResultEntity [ItemId=" + ItemId + ", TaskType=" + TaskType + ", TaskNumber=" + TaskNumber
				+ ", ImpDate=" + ImpDate + ", UserName=" + UserName + ", ImpResult=" + ImpResult + ", ErrorInfo="
				+ ErrorInfo + "]";
	}
	public ERPResultEntity(String itemId, String taskType, String taskNumber, String impDate, String userName,
			String impResult, String errorInfo) {
		super();
		ItemId = itemId;
		TaskType = taskType;
		TaskNumber = taskNumber;
		ImpDate = impDate;
		UserName = userName;
		ImpResult = impResult;
		ErrorInfo = errorInfo;
	}
	public ERPResultEntity() {
		super();
	}
	
	
}
